<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DataWarga extends Model
{

    use SoftDeletes;

    protected $table = 'data_wargas';

    protected $guarded = [];

    public function kelurahan()
    {
    	return $this->belongsTo(Kelurahan::class);
    }

    public function user()
    {
    	return $this->belongsTo(User::class);
    }

    public function dpt() {
        return $this->belongsTo(Dpt::class);
    }

    public function getTanggalLahirAttribute()
    {
        return explode(' , ', $this->ttl)[1] ?? null;
    }

    public function getTempatLahirAttribute()
    {
        return explode(' , ', $this->ttl)[0] ?? null;
    }


}
