@extends('layouts.app')

@section('content')
    <!-- Default box -->
    <div class="box">
        <div class="box-header with-border">
            <h3 class="box-title">Data {{ $title }}</h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                    <i class="fa fa-minus"></i></button>

            </div>
        </div>
        <div class="box-body">
            @include('layouts.include.periode')
            <a href="{{ url($link . '/create') }}" class="btn btn-sm btn-primary" title="Tambah Data {{ $title }}"><i
                    class="fa fa-plus"></i></a>
            {{-- <a href="{{ url($link . '/import') }}" class="btn btn-sm btn-success" title="Import Data {{ $title }}"><i
                    class="fa fa-file-excel-o"></i></a> --}}

            <table id="example2" class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>NO</th>
                        <th>HARI</th>
                        <th>TANGGAL</th>
                        <th>JUMLAH SURDUK KELUAR</th>
                        <th>JUMLAH SURDUK MASUK</th>
                        <th>AKSI</th>
                    </tr>
                </thead>
                <tbody>
                    @if (@$datas)
                        @php
                            $total = 0;
                            $hari = ['NULL', 'senin', 'selasa', 'rabu', 'kamis', "jum'at", 'sabtu', 'minggu'];
                        @endphp
                        @foreach ($datas as $data)
                            <tr>
                                <td>
                                    {{ $no++ }}
                                </td>
                                <td>{{ strtoupper($hari[date('N', strtotime($data->tanggal))]) }}</td>
                                <td>{{ date('d/m/Y', strtotime($data->tanggal)) }}</td>
                                <td>{{ $data->surduk_keluar }}</td>
                                <td>{{ $data->surduk_masuk }}</td>
                                <td>
                                    <form method="post" action="{{ url($link . '/' . $data->id) }}">
                                        @csrf
                                        <input type="hidden" name="_method" value="delete">
                                        <a href="{{ url($link . '/' . $data->id . '/edit') }}"
                                            class="btn btn-sm btn-warning"><i class="fa fa-edit"></i></a>
                                        <button type="submit"
                                            onclick="return confirm(&quot;Click Ok to delete data News.&quot;)"
                                            class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button>
                                    </form>

                                </td>
                            </tr>
                        @endforeach
                    @endif
                </tbody>
            </table>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
            {!! $datas->appends(request()->except('page'))->links() !!}
        </div>
        <!-- /.box-footer-->
    </div>
    <!-- /.box -->
@endsection
