<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\LoginController;

Route::get('/firebase','FirebaseController@index');
Route::get('/firebase/user','FirebaseController@listUser');

Route::get('/', function () {
    return redirect('home');
});

Auth::routes();
Auth::routes([ 'register' => false ]);

Route::post('actionlogin', [LoginController::class, 'actionlogin'])->name('actionlogin');

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/RefreshHomePage', 'HomeController@RefreshHomePage');

Route::middleware(['auth','admin:1'])->group(function () {
    Route::get('kabupaten/import','KabupatenController@importView');
	Route::post('kabupaten/import','KabupatenController@import');
    Route::resource('kabupaten','KabupatenController');
    Route::get('kecamatan/import','KecamatanController@importView');
	Route::post('kecamatan/import','KecamatanController@import');
    Route::resource('kecamatan','KecamatanController');
    Route::get('kelurahan/import','KelurahanController@importView');
	Route::post('kelurahan/import','KelurahanController@import');
	Route::resource('kelurahan','KelurahanController');
    Route::get('tps/import','TpsController@importView');
	Route::post('tps/import','TpsController@import');
	Route::resource('tps','TpsController');
    Route::get('dpt/{id}/formulir','DptController@formulir');
    Route::get('dpt/import','DptController@importView');
	Route::post('dpt/import','DptController@import');
	Route::resource('dpt','DptController');
    Route::resource('user/user-log','UserLogController');
    Route::get('user/import','UserController@importView');
	Route::post('user/import','UserController@import');
	Route::resource('user','UserController');
	Route::get('rekap/{menu}','RekapController@rekap');
	Route::get('rekap/{menu}/cetak','RekapController@cetak');
	Route::get('galeri/{id}/order','GaleriController@order');
	Route::resource('galeri','GaleriController');
});

Route::middleware(['auth','admin:0,1,2'])->group(function () {
    Route::get('actionlogout', [LoginController::class, 'actionlogout'])->name('actionlogout');
	Route::delete('data-warga/{id}','DataWargaController@destroy');
	Route::get('data-warga/{id}/formulir','DataWargaController@formulir');
	Route::get('data-warga/import','DataWargaController@importView');
	Route::post('data-warga/import','DataWargaController@import');
    Route::get('kendala','DataWargaController@kendala');
	Route::resource('data-warga','DataWargaController');

    Route::resource('surat-dukungan', "SuratDukunganController");
});

Route::middleware(['auth','admin:1,2'])->group(function () {
    Route::resource('sinkron', 'SinkronController');
});
